# Uses of Class
org.eclipse.swt.widgets.Control

Packages that use Control
Package
Description
org.eclipse.nebula.jface.gridviewer
org.eclipse.nebula.widgets.grid
org.eclipse.nebula.widgets.richtext
org.eclipse.rap.rwt.theme
org.eclipse.rap.rwt.widgets
org.eclipse.swt.accessibility
org.eclipse.swt.browser
org.eclipse.swt.custom
org.eclipse.swt.dnd
org.eclipse.swt.layout
org.eclipse.swt.widgets

## Uses of Control in org.eclipse.nebula.jface.gridviewer

Methods in org.eclipse.nebula.jface.gridviewer that return Control
Modifier and Type
Method
Description
`Control`
GridTableViewer.`getControl()`
`Control`
GridTreeViewer.`getControl()`
`Control`
GridViewerRow.`getControl()`
Methods in org.eclipse.nebula.jface.gridviewer with parameters of type Control
Modifier and Type
Method
Description
`protected void`
GridTreeViewer.`addTreeListener(Control control, TreeListener listener)`
`protected int`
GridTreeViewer.`getItemCount(Control control)`
`protected Item[]`
GridTreeViewer.`getSelection(Control control)`
`protected void`
GridTreeViewer.`removeAll(Control control)`
`protected void`
GridViewerEditor.`setEditor(Control w, Item item, int fColumnNumber)`
FIXME

## Uses of Control in org.eclipse.nebula.widgets.grid

Subclasses of Control in org.eclipse.nebula.widgets.grid
Modifier and Type
Class
Description
`class`
`Grid`
Instances of this class implement a selectable user interface object that displays a list of images and strings and issue notification when selected.
Methods in org.eclipse.nebula.widgets.grid with parameters of type Control
Modifier and Type
Method
Description
`void`
GridEditor.`setEditor(Control editor, GridItem item, int column)`
Specify the Control that is to be displayed and the cell in the table that it is to be positioned above.

## Uses of Control in org.eclipse.nebula.widgets.richtext

Subclasses of Control in org.eclipse.nebula.widgets.richtext
Modifier and Type
Class
Description
`class`
`RichTextEditor`
Rich Text Editor control that wraps CKEditor, a web-based WYSIWYG/Rich-Text editor.

## Uses of Control in org.eclipse.rap.rwt.theme

Methods in org.eclipse.rap.rwt.theme with parameters of type Control
Modifier and Type
Method
Description
`Color`
ControlThemeAdapter.`getBackground(Control control)`
Returns the default background color that the specified control will use if no user-defined background color has been set using `Control.setBackground(Color)`.
`BoxDimensions`
ControlThemeAdapter.`getBorder(Control control)`
Returns the border of the specified control.
`Font`
ControlThemeAdapter.`getFont(Control control)`
Returns the default font that the specified control will use to paint textual information when no user-defined font has been set using `Control.setFont(Font)`.
`Color`
ControlThemeAdapter.`getForeground(Control control)`
Returns the default foreground color that the specified control will use to draw if no user defined foreground color has been set using `Control.setForeground(Color)`.
`BoxDimensions`
ControlThemeAdapter.`getPadding(Control control)`
Returns the padding of the specified control.

## Uses of Control in org.eclipse.rap.rwt.widgets

Subclasses of Control in org.eclipse.rap.rwt.widgets
Modifier and Type
Class
Description
`class`
`FileUpload`
A button-like widget allowing to select a file from the client's file system and to upload this file to a given URL using HTTP POST.
Methods in org.eclipse.rap.rwt.widgets that return Control
Modifier and Type
Method
Description
`Control[]`
FileUpload.`getChildren()`
`Control`
DropDown.`getParent()`
Returns the receiver's parent, which must be a `Control`.
Constructors in org.eclipse.rap.rwt.widgets with parameters of type Control
Modifier
Constructor
Description
``
`DropDown(Control parent)`
Constructs a new instance of this class given its parent.
``
`DropDown(Control parent, int style)`
Constructs a new instance of this class given its parent and a style value describing its behavior.

## Uses of Control in org.eclipse.swt.accessibility

Methods in org.eclipse.swt.accessibility that return Control
Modifier and Type
Method
Description
`Control`
Accessible.`getControl()`
Returns the control for this Accessible object.
Methods in org.eclipse.swt.accessibility with parameters of type Control
Modifier and Type
Method
Description
`static Accessible`
Accessible.`internal_new_Accessible(Control control)`
Invokes platform specific functionality to allocate a new accessible object.

## Uses of Control in org.eclipse.swt.browser

Subclasses of Control in org.eclipse.swt.browser
Modifier and Type
Class
Description
`class`
`Browser`
Instances of this class implement the browser user interface metaphor.

## Uses of Control in org.eclipse.swt.custom

Subclasses of Control in org.eclipse.swt.custom
Modifier and Type
Class
Description
`class`
`CBanner`
Instances of this class implement a Composite that lays out its children and allows programmatic control of the layout.
`class`
`CCombo`
The CCombo class represents a selectable user interface object that combines a text field and a list and issues notification when an item is selected from the list.
`class`
`CLabel`
A Label which supports aligned text and/or an image and different border styles.
`class`
`CTabFolder`
Instances of this class implement the notebook user interface metaphor.
`class`
`SashForm`
The SashForm is a composite control that lays out its children in a row or column arrangement (as specified by the orientation) and places a Sash between each child.
`class`
`ScrolledComposite`
A ScrolledComposite provides scrollbars and will scroll its content when the user uses the scrollbars.
`class`
`ViewForm`
Instances of this class implement a Composite that positions and sizes children and allows programmatic control of layout and border parameters.
Fields in org.eclipse.swt.custom declared as Control
Modifier and Type
Field
Description
`Control`
StackLayout.`topControl`
topControl the Control that is displayed at the top of the stack.
Methods in org.eclipse.swt.custom that return Control
Modifier and Type
Method
Description
`Control`
CBanner.`getBottom()`
Returns the Control that appears on the bottom side of the banner.
`Control[]`
CCombo.`getChildren()`
`Control`
ScrolledComposite.`getContent()`
Get the content that is being scrolled.
`Control`
ViewForm.`getContent()`
Returns the content area.
`Control`
CTabItem.`getControl()`
Gets the control that is displayed in the content area of the tab item.
`Control`
ControlEditor.`getEditor()`
Returns the Control that is displayed above the composite being edited.
`Control`
CBanner.`getLeft()`
Returns the Control that appears on the left side of the banner.
`Control`
SashForm.`getMaximizedControl()`
Answer the control that currently is maximized in the SashForm.
`Control`
CBanner.`getRight()`
Returns the Control that appears on the right side of the banner.
`Control`
ViewForm.`getTopCenter()`
Returns Control that appears in the top center of the pane.
`Control`
ViewForm.`getTopLeft()`
Returns the Control that appears in the top left corner of the pane.
`Control`
CTabFolder.`getTopRight()`
Returns the control in the top right corner of the tab folder.
`Control`
ViewForm.`getTopRight()`
Returns the control in the top right corner of the pane.
Methods in org.eclipse.swt.custom with parameters of type Control
Modifier and Type
Method
Description
`protected boolean`
StackLayout.`flushCache(Control control)`
`void`
CBanner.`setBottom(Control control)`
Set the control that appears on the bottom side of the banner.
`void`
ScrolledComposite.`setContent(Control content)`
Set the content that will be scrolled.
`void`
ViewForm.`setContent(Control content)`
Sets the content.
`void`
CTabItem.`setControl(Control control)`
Sets the control that is used to fill the client area of the tab folder when the user selects the tab item.
`void`
ControlEditor.`setEditor(Control editor)`
Specify the Control that is to be displayed.
`void`
TableEditor.`setEditor(Control editor)`
`void`
TableEditor.`setEditor(Control editor, TableItem item, int column)`
Specify the Control that is to be displayed and the cell in the table that it is to be positioned above.
`void`
TreeEditor.`setEditor(Control editor)`
`void`
TreeEditor.`setEditor(Control editor, TreeItem item)`
Specify the Control that is to be displayed and the cell in the tree that it is to be positioned above.
`void`
TreeEditor.`setEditor(Control editor, TreeItem item, int column)`
Specify the Control that is to be displayed and the cell in the tree that it is to be positioned above.
`void`
CBanner.`setLeft(Control control)`
Set the control that appears on the left side of the banner.
`void`
SashForm.`setMaximizedControl(Control control)`
Specify the control that should take up the entire client area of the SashForm.
`void`
CBanner.`setRight(Control control)`
Set the control that appears on the right side of the banner.
`void`
ViewForm.`setTopCenter(Control topCenter)`
Set the control that appears in the top center of the pane.
`void`
ViewForm.`setTopLeft(Control c)`
Set the control that appears in the top left corner of the pane.
`void`
CTabFolder.`setTopRight(Control control)`
Set the control that appears in the top right corner of the tab folder.
`void`
CTabFolder.`setTopRight(Control control, int alignment)`
Set the control that appears in the top right corner of the tab folder.
`void`
ViewForm.`setTopRight(Control c)`
Set the control that appears in the top right corner of the pane.
`void`
ScrolledComposite.`showControl(Control control)`
Scrolls the content of the receiver so that the control is visible.

## Uses of Control in org.eclipse.swt.dnd

Methods in org.eclipse.swt.dnd that return Control
Modifier and Type
Method
Description
`Control`
DragSource.`getControl()`
Returns the Control which is registered for this DragSource.
`Control`
DragSourceEffect.`getControl()`
Returns the Control which is registered for this DragSourceEffect.
`Control`
DropTarget.`getControl()`
Returns the Control which is registered for this DropTarget.
`Control`
DropTargetEffect.`getControl()`
Returns the Control which is registered for this DropTargetEffect.
Constructors in org.eclipse.swt.dnd with parameters of type Control
Modifier
Constructor
Description
``
`DragSource(Control control, int style)`
Creates a new `DragSource` to handle dragging from the specified `Control`.
``
`DragSourceEffect(Control control)`
Creates a new `DragSourceEffect` to handle drag effect from the specified `Control`.
``
`DropTarget(Control control, int style)`
Creates a new `DropTarget` to allow data to be dropped on the specified `Control`.
``
`DropTargetEffect(Control control)`
Creates a new `DropTargetEffect` to handle the drag under effect on the specified `Control`.

## Uses of Control in org.eclipse.swt.layout

Fields in org.eclipse.swt.layout declared as Control
Modifier and Type
Field
Description
`Control`
FormAttachment.`control`
control specifies the control to which the control side is attached.
Methods in org.eclipse.swt.layout with parameters of type Control
Modifier and Type
Method
Description
`protected boolean`
FillLayout.`flushCache(Control control)`
`protected boolean`
FormLayout.`flushCache(Control control)`
`protected boolean`
GridLayout.`flushCache(Control control)`
`protected boolean`
RowLayout.`flushCache(Control control)`
Constructors in org.eclipse.swt.layout with parameters of type Control
Modifier
Constructor
Description
``
`FormAttachment(Control control)`
Constructs a new instance of this class given a control.
``
`FormAttachment(Control control, int offset)`
Constructs a new instance of this class given a control and an offset.
``
`FormAttachment(Control control, int offset, int alignment)`
Constructs a new instance of this class given a control, an offset and an alignment.

## Uses of Control in org.eclipse.swt.widgets

Subclasses of Control in org.eclipse.swt.widgets
Modifier and Type
Class
Description
`class`
`Button`
Instances of this class represent a selectable user interface object that issues notification when pressed and released.
`class`
`Canvas`
Instances of this class provide a surface for drawing arbitrary graphics.
`class`
`Combo`
Instances of this class are controls that allow the user to choose an item from a list of items, or optionally enter a new value by typing it into an editable text field.
`class`
`Composite`
Instances of this class are controls which are capable of containing other controls.
`class`
`CoolBar`
Instances of this class provide an area for dynamically positioning the items they contain.
`class`
`DateTime`
Instances of this class are selectable user interface objects that allow the user to enter and modify date or time values.
`class`
`Decorations`
This class was introduced to be API compatible with SWT and does only provide those methods that are absolutely necessary to serve this purpose.
`class`
`ExpandBar`
Instances of this class support the layout of selectable expand bar items.
`class`
`Group`
Instances of this class provide an etched border with an optional title.
`class`
`Label`
Instances of this class represent a non-selectable user interface object that displays a string or image.
`class`
`Link`
Instances of this class represent a selectable user interface object that displays a text with links.
`class`
`List`
Instances of this class represent a selectable user interface object that displays a list of strings and issues notification when a string is selected.
`class`
`ProgressBar`
Instances of the receiver represent is an unselectable user interface object that is used to display progress, typically in the form of a bar.
`class`
`Sash`
Instances of the receiver represent a selectable user interface object that allows the user to drag a rubber banded outline of the sash within the parent control.
`class`
`Scale`
Instances of the receiver represent a selectable user interface object that present a range of continuous numeric values.
`class`
`Scrollable`
This class is the abstract superclass of all classes which represent controls that have standard scroll bars.
`class`
`Shell`
Instances of this class represent the "windows" which the desktop or "window manager" is managing.
`class`
`Slider`
Instances of this class are selectable user interface objects that represent a range of positive, numeric values.
`class`
`Spinner`
Instances of this class are selectable user interface objects that allow the user to enter and modify numeric values.
`class`
`TabFolder`
Instances of this class implement the notebook user interface metaphor.
`class`
`Table`
Instances of this class implement a selectable user interface object that displays a list of images and strings and issues notification when selected.
`class`
`Text`
Instances of this class are selectable user interface objects that allow the user to enter and modify text.
`class`
`ToolBar`
Instances of this class support the layout of selectable tool bar items.
`class`
`Tree`
Instances of this class provide a selectable user interface object that displays a hierarchy of items and issues notification when an item in the hierarchy is selected.
Methods in org.eclipse.swt.widgets that return Control
Modifier and Type
Method
Description
`Control[]`
Composite.`getChildren()`
Returns a (possibly empty) array containing the receiver's children.
`Control`
CoolItem.`getControl()`
Returns the control that is associated with the receiver.
`Control`
ExpandItem.`getControl()`
Returns the control that is shown when the item is expanded.
`Control`
TabItem.`getControl()`
Returns the control that is used to fill the client area of the tab folder when the user selects the tab item.
`Control`
ToolItem.`getControl()`
Returns the control that is used to fill the bounds of the item when the item is a `SEPARATOR`.
`Control`
Display.`getCursorControl()`
Returns the control which the on-screen pointer is currently over top of, or null if it is not currently over one of the controls built by the currently running application.
`Control`
Display.`getFocusControl()`
Returns the control which currently has keyboard focus, or null if keyboard events are not currently going to any of the controls built by the currently running application.
`Control[]`
Composite.`getTabList()`
Gets the (possibly empty) tabbing order for the control.
Methods in org.eclipse.swt.widgets with parameters of type Control
Modifier and Type
Method
Description
`void`
Composite.`changed(Control[] changed)`
Clears any data that has been cached by a Layout for all widgets that are in the parent hierarchy of the changed control up to and including the receiver.
`void`
Table.`changed(Control[] changed)`
`void`
Tree.`changed(Control[] changed)`
`protected boolean`
Layout.`flushCache(Control control)`
Instruct the layout to flush any cached values associated with the control specified in the argument `control`.
`void`
Composite.`layout(Control[] changed)`
Forces a lay out (that is, sets the size and location) of all widgets that are in the parent hierarchy of the changed control up to and including the receiver.
`void`
Composite.`layout(Control[] changed, int flags)`
Forces a lay out (that is, sets the size and location) of all widgets that are in the parent hierarchy of the changed control up to and including the receiver.
`Point`
Display.`map(Control from, Control to, int x, int y)`
Maps a point from one coordinate system to another.
`Rectangle`
Display.`map(Control from, Control to, int x, int y, int width, int height)`
Maps a point from one coordinate system to another.
`Point`
Display.`map(Control from, Control to, Point point)`
Maps a point from one coordinate system to another.
`Rectangle`
Display.`map(Control from, Control to, Rectangle rectangle)`
Maps a point from one coordinate system to another.
`void`
Control.`moveAbove(Control control)`
Moves the receiver above the specified control in the drawing order.
`void`
Control.`moveBelow(Control control)`
Moves the receiver below the specified control in the drawing order.
`void`
CoolItem.`setControl(Control control)`
Sets the control that is associated with the receiver to the argument.
`void`
ExpandItem.`setControl(Control control)`
Sets the control that is shown when the item is expanded.
`void`
TabItem.`setControl(Control control)`
Sets the control that is used to fill the client area of the tab folder when the user selects the tab item.
`void`
ToolItem.`setControl(Control control)`
Sets the control that is used to fill the bounds of the item when the item is a `SEPARATOR`.
`void`
Composite.`setTabList(Control[] tabList)`
Sets the tabbing order for the specified controls to match the order that they occur in the argument list.
Constructors in org.eclipse.swt.widgets with parameters of type Control
Modifier
Constructor
Description
``
`Menu(Control parent)`
Constructs a new instance of this class given its parent, and sets the style for the instance so that the instance will be a popup menu on the given parent's shell.